Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(137)

Issue 609923004: Cleanup usage of scoped_ptr<> in remoting for C++11 (Closed)

Created:
5 years, 10 months ago by Sergey Ulanov
Modified:
5 years, 10 months ago
Reviewers:
rmsousa
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Cleanup usage of scoped_ptr<> in remoting for C++11 - Use nullptr to initialize null scoped_ptr(). - use Pass(), PassAs() is no longer required. Committed: https://crrev.com/afce97826070950bca497ce147a30312ce780e74 Cr-Commit-Position: refs/heads/master@{#297236}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+151 lines, -175 lines) Patch
M remoting/client/jni/chromoting_jni_instance.cc View 2 chunks +3 lines, -7 lines 0 comments Download
M remoting/client/plugin/chromoting_instance.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M remoting/codec/audio_decoder.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/codec/audio_decoder_opus.cc View 3 chunks +5 lines, -5 lines 0 comments Download
M remoting/codec/audio_decoder_verbatim.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/codec/audio_encoder_opus.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/codec/video_decoder_vpx.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/audio_capturer_linux.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/audio_capturer_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/basic_desktop_environment.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/cast_extension.cc View 1 chunk +1 line, -2 lines 0 comments Download
M remoting/host/cast_extension_session.cc View 1 chunk +3 lines, -5 lines 0 comments Download
M remoting/host/chromoting_host_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/client_session.cc View 2 chunks +5 lines, -5 lines 2 comments Download
M remoting/host/client_session_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/daemon_process_win.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M remoting/host/desktop_process_unittest.cc View 1 chunk +1 line, -2 lines 0 comments Download
M remoting/host/desktop_session_agent.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/desktop_session_proxy.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/desktop_session_win.cc View 3 chunks +4 lines, -5 lines 0 comments Download
M remoting/host/desktop_shape_tracker_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/desktop_shape_tracker_x11.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/fake_desktop_environment.cc View 4 chunks +4 lines, -4 lines 0 comments Download
M remoting/host/gnubby_auth_handler_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/input_injector_linux.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/ipc_desktop_environment.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/ipc_desktop_environment_unittest.cc View 9 chunks +9 lines, -10 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host.cc View 6 chunks +7 lines, -7 lines 0 comments Download
M remoting/host/it2me/it2me_native_messaging_host_unittest.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/me2me_desktop_environment.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/pairing_registry_delegate_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/pairing_registry_delegate_win.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/policy_hack/policy_watcher_linux.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/host/resizing_host_observer_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/session_manager_factory.cc View 1 chunk +2 lines, -4 lines 0 comments Download
M remoting/host/setup/daemon_controller_delegate_win.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/setup/daemon_installer_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/setup/me2me_native_messaging_host.cc View 14 chunks +15 lines, -15 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host_main.cc View 1 chunk +2 lines, -3 lines 0 comments Download
M remoting/host/setup/me2me_native_messaging_host_unittest.cc View 2 chunks +4 lines, -9 lines 0 comments Download
M remoting/host/single_window_desktop_environment.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/host/single_window_input_injector_linux.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/single_window_input_injector_mac.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/single_window_input_injector_win.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/video_frame_recorder.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/host/video_scheduler_unittest.cc View 1 chunk +1 line, -3 lines 0 comments Download
M remoting/host/win/session_desktop_environment.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/host/win/worker_process_launcher_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/audio_reader.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/audio_writer.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/authenticator_test_base.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/content_description.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/fake_datagram_socket.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/fake_stream_socket.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/jingle_session_manager.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/jingle_session_unittest.cc View 2 chunks +2 lines, -4 lines 0 comments Download
M remoting/protocol/libjingle_transport_factory.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/secure_channel_factory.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator_unittest.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M remoting/signaling/iq_sender.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/test/protocol_perftest.cc View 3 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 9 (2 generated)
Sergey Ulanov
5 years, 10 months ago (2014-09-27 01:41:15 UTC) #2
Sergey Ulanov
I'll send another CL for make_scoped_ptr().
5 years, 10 months ago (2014-09-27 01:42:37 UTC) #3
rmsousa
lgtm with a comment (more of a C++ question) https://codereview.chromium.org/609923004/diff/1/remoting/host/client_session.cc File remoting/host/client_session.cc (right): https://codereview.chromium.org/609923004/diff/1/remoting/host/client_session.cc#newcode501 remoting/host/client_session.cc:501: ...
5 years, 10 months ago (2014-09-27 01:49:20 UTC) #4
Sergey Ulanov
https://codereview.chromium.org/609923004/diff/1/remoting/host/client_session.cc File remoting/host/client_session.cc (right): https://codereview.chromium.org/609923004/diff/1/remoting/host/client_session.cc#newcode501 remoting/host/client_session.cc:501: return make_scoped_ptr(new remoting::VideoEncoderVerbatim()); On 2014/09/27 01:49:20, rmsousa wrote: > ...
5 years, 10 months ago (2014-09-29 17:33:24 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/609923004/1
5 years, 10 months ago (2014-09-29 18:36:43 UTC) #7
commit-bot: I haz the power
Committed patchset #1 (id:1) as 6b71a8aade80cb38603d7b049c5039b3a15731ab
5 years, 10 months ago (2014-09-29 19:38:39 UTC) #8
commit-bot: I haz the power
5 years, 10 months ago (2014-09-29 19:39:17 UTC) #9
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/afce97826070950bca497ce147a30312ce780e74
Cr-Commit-Position: refs/heads/master@{#297236}

Powered by Google App Engine
This is Rietveld 408576698